Subject: Re: Invitation: Follow up On Service @ Wed Mar 2, 2016 11:30am - 12:30pm ([email-masked])
From: "Michael B" <[email-masked]>
To: <[email-masked]>
Date: Wed, 24 Feb 2016 12:22:20 -0500

Hello donna.
I can not make the meeting on March 2nd. I am on vacation now but we can schedule something when I get back.
Thank you,
Michael B
LLPS

From: [email-masked] 
Sent: Wednesday, February 24, 2016 9:42 AM
To: [email-masked] 
Subject: Invitation: Follow up On Service @ Wed Mar 2, 2016 11:30am - 12:30pm ([email-masked])

      more details »
      Follow up On Service
            When Wed Mar 2, 2016 11:30am - 12:30pm Eastern Time 
            Where 5859 W SAGINAW HWY #E (map) 
            Calendar [email-masked] 
            Who . [email-masked] - organizer 
                  . [email-masked]  

      Going?    Yes - Maybe - No    more options »
     
      Invitation from Google Calendar

      You are receiving this courtesy email at the account [email-masked] because you are an attendee of this event.

      To stop receiving future updates for this event, decline this event. Alternatively you can sign up for a Google account at https://www.google.com/calendar/ and control your notification settings for your entire calendar.

      Forwarding this invitation could allow any recipient to modify your RSVP response. Learn More.